Bug 21980 - tkdesk doesn't start
tkdesk doesn't start
Product: Red Hat Powertools
Classification: Retired
Component: tkdesk (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Depends On:
  Show dependency treegraph
Reported: 2000-12-08 19:12 EST by Need Real Name
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-12-12 05:26:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-12-08 19:12:23 EST
I downloaded tkdesk-1.2-5.i386.rpm from ftp.redhat. 
I installed it and tried to start it. I tries to start, but it never does.
This is what happens. 

[ ]$ tkdesk 
unknown option ""
Error in startup script: unknown option ""
    while executing
"image create pixmap -file $file"
    ("xpm" arm line 5)
    invoked from within
"switch [string trimleft [file extension $file] .] {
        xbm {
            set img [image create bitmap -file $file]
        ppm -
        pgm -
        gif {
            set img [image ..."
    (procedure "cb_image" line 17)
    invoked from within
"cb_image /usr/lib/TkDesk/images/xlogo16.xpm -background #d9d9d9
-foreground black"
    ("eval" body line 1)
    invoked from within
"eval cb_image $unknown $args"
    (procedure "dsk_image" line 21)
    invoked from within
"dsk_image $bitmap -background $bgcolor  -foreground $fgcolor"
    (object "::.fv0" method "::dsk_Common::_create_button_bar" body line
    invoked from within
"_create_button_bar $top.fButtonBar"
    while constructing object "::.fv0" in ::dsk_FileViewer::constructor
(body line 27)
    invoked from within
"dsk_FileViewer .fv[dsk_FileViewer :: id]  -dir $dir -num_lbs
    invoked from within
"if {![info exists tkdesk(layout)] || !$tkdesk(have_window)} {
    # disable at_pointer placement for initial window:
    set ap $tkdesk(at_pointer)
    (file "/usr/bin/tkdesk" line 925)

[ ]$
Comment 1 Ngo Than 2001-01-04 15:46:50 EST
It's fixed. the new tkdesk-1.2-6 in rawhide should work now.
Comment 2 Need Real Name 2001-01-12 16:18:41 EST
I cannot find the new version tkdesk-1.2-6 in rawhide (or anywhere in
Where should I look for it?


Note You need to log in before you can comment on or make changes to this bug.